Bug 304790 - When logging in the cursor changes to the default "X" cursor for the fraction of a second
Summary: When logging in the cursor changes to the default "X" cursor for the fraction...
Status: RESOLVED FIXED
Alias: None
Product: lightdm
Classification: Unclassified
Component: greeter (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR minor
Target Milestone: ---
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 12:13 UTC by David Edmundson
Modified: 2013-04-12 14:36 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2012-08-08 12:13:44 UTC
When logging in the cursor changes to the default "X" cursor for the fraction of a second.

Research tasks before any coding can take place:
 - find out what Unity Greeter does
 - find out what GTK greeter does
 - find out what KDM does
 - work out how to change the XCursor
Comment 1 David Edmundson 2013-02-28 00:15:44 UTC
Fixed, patch in reviewboard.
Comment 2 David Edmundson 2013-02-28 14:24:55 UTC
Git commit 7b1e4fbfc40f08c25a6a604385cf19a8d3f8515c by David Edmundson.
Committed on 28/02/2013 at 01:09.
Pushed by davidedmundson into branch 'master'.

Set the default cursor on the X Root Window

This stops the cursor flashing a black X when logging in.
REVIEW: 109199

M  +2    -0    greeter/rootimageapp.cpp

http://commits.kde.org/lightdm/7b1e4fbfc40f08c25a6a604385cf19a8d3f8515c
Comment 3 David Edmundson 2013-04-12 14:36:46 UTC
Git commit 46e3f807b500ccb416bdd125e6b59b0c1749fbf9 by David Edmundson.
Committed on 28/02/2013 at 01:09.
Pushed by davidedmundson into branch 'v0.3'.

Set the default cursor on the X Root Window

This stops the cursor flashing a black X when logging in.
REVIEW: 109199

M  +2    -0    greeter/rootimageapp.cpp

http://commits.kde.org/lightdm/46e3f807b500ccb416bdd125e6b59b0c1749fbf9